package cn.timer.api.dto.jxgl;

import javax.validation.constraints.NotNull;

import cn.timer.api.config.exception.ValidationMsg;
import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EmpPerformanceQuery extends Page {

	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "绩效考核id", example = "")
	private Integer id;

	@ApiModelProperty(value = "企业id", example = "")
	private Integer orgCode;

	@ApiModelProperty(value = "姓名、手机号", example = "")
	private String query;

	@ApiModelProperty(value = "部门id", example = "")
	private Integer bmId;

}
